Skip to main content
GET
/
traces
/
search
Search traces
curl --request GET \
  --url https://api.example.com/traces/search \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "project_id": "<string>",
    "otel_trace_id": "<string>",
    "service_name": "<string>",
    "created_at": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

project_id
string<uuid>
required

Project to search within.

query
string | null

Free-text search string matched against trace payloads.

tool_name
string | null

If set, only traces that invoked this tool name.

model
string | null

If set, only traces whose root span used this model identifier.

error_only
boolean
default:false

If true, only include traces that recorded an error.

start
string<date-time> | null

Inclusive lower bound (ISO 8601) on trace start time.

end
string<date-time> | null

Inclusive upper bound (ISO 8601) on trace start time.

limit
integer
default:20

Maximum number of matching traces to return.

Required range: 1 <= x <= 100

Response

Successful Response

id
string
required
project_id
string
required
otel_trace_id
string | null
service_name
string | null
created_at
string | null